Download it now!
Bug 78128 - Comments in margin not visible
Summary: Comments in margin not visible
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha1
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-30 18:15 UTC by Jorendc
Modified: 2014-05-20 11:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample pdf to show the issue (16.04 KB, application/pdf)
2014-04-30 18:15 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jorendc 2014-04-30 18:15:33 UTC
Created attachment 98260 [details]
Sample pdf to show the issue

Tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: 0b03f7ed575838f90e6b1ebec3538a3a214f81fb
TinderBox: Win-x86@39, Branch:master, Time: 2014-04-30_01:30:46

How to reproduce:
* Open Writer
* make sure Tools > Options > LibreOffice Writer > Print    'comments' in margin is selected
* Type some words (doesn't matter how much)
* Select the words
* Insert > Comment (or CTRL+ALT+C)
* File > Export as PDF

Open created PDF.

Behavior: comments falls of document on the right side.

This is a regression in branch 4.3 due the fact this new feature worked earlier.

Kind regards,
Joren
Comment 1 Jorendc 2014-04-30 18:17:17 UTC
@Caolan: You might be interested in this bug. Looks like something broke the 'print/export comments in margin' feature *snif*.

Kind regards,
Joren
Comment 2 Stephan van den Akker 2014-04-30 19:20:49 UTC
Tested using openSuSE 13.1 (64-bit) with 
LOdev Version: 4.3.0.0.alpha1+
Build ID: 81272fdb1e093d44e2e67eba65c79a490832f320
Pulled and build on 29 April 2014

I can confirm this bug. The arrow originates from the far right of the page, but the comment itself is still a note in the PDF.
Comment 3 Jorendc 2014-04-30 19:28:46 UTC
Thanks for confirming Stephan!

(In reply to comment #2)
> but the comment itself is still a note in the PDF.

Yes, you can inactivate that in File > Export as PDF... and deselect 'Export comments'. But that setting is of course not related to this bug :-).

Kind regards,
Joren
Comment 4 Florian Reisinger 2014-05-01 08:28:13 UTC
I can reproduce the bug with same master as joren under Win 7 x64
Funny thing:
Dashed ( _ _ _ ) line when pressing the Export PDF button on toolbar
Normal ( ______ ) line when using File -> Export PDF.
Is this too minor to file a bug?
Comment 5 Caolán McNamara 2014-05-01 16:19:32 UTC
I hate mapmodes
Comment 6 Commit Notification 2014-05-01 16:21:00 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b44ca2f45e86abb62718534fad43cdd3741101ba

Resolves: fdo#78128 go back to using an interim metafile



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Stephan van den Akker 2014-05-01 20:04:06 UTC
Tested with LOdev version 4.3.0.0.alpha1+
Build ID: f99f4dc93f44fa1cd799d0ad87ded7ee90d82848
on openSuSE 12.3 (64-bit)

PDF looks fine now. 

I notice that if I also check "export comments" in the PDF export dialog, the placing of the PDF note icon does not take into account that the page is scaled and centred. New bug report?
Comment 8 Jorendc 2014-05-01 20:06:19 UTC
(In reply to comment #7)
> I notice that if I also check "export comments" in the PDF export dialog,
> the placing of the PDF note icon does not take into account that the page is
> scaled and centred. New bug report?

Indeed new bug report. Feel free to put me in CC, I can reproduce that behavior.